/*
 * devtree.h
 *
 * Copyright (C) 2008 Andrei Borovsky <>
 */
#ifndef DEVTREE_H
#define DEVTREE_H


#include <kxmlguiwindow.h>

class devtreeView;
class QPrinter;
class KToggleAction;
class KUrl;

/**
 * This class serves as the main window for devtree.  It handles the
 * menus, toolbars, and status bars.
 *
 * @short Main window class
 * @author Andrei Borovsky <>
 * @version 0.1
 */
class devtree : public KXmlGuiWindow
{
    Q_OBJECT
public:
    /**
     * Default Constructor
     */
    devtree();

    /**
     * Default Destructor
     */
    virtual ~devtree();

private:
    void setupActions();

private:
    devtreeView *m_view;

    QPrinter   *m_printer;
    KToggleAction *m_toolbarAction;
    KToggleAction *m_statusbarAction;
};

#endif // _DEVTREE_H_
