/*
 * devtreeview.cpp
 *
 * Copyright (C) 2008 Andrei Borovsky <>
 */
#include "devtreeview.h"

#include <klocale.h>
#include <QtGui/QTreeWidget>
#include <QtCore/QStringList>
#include <solid/devicenotifier.h>
#include <solid/device.h>


devtreeView::devtreeView(QWidget *)
{
    ui_devtreeview_base.setupUi(this);
    setAutoFillBackground(true);
    enumDevices();
    Solid::DeviceNotifier * dn = Solid::DeviceNotifier::instance();
    dn->connect(dn, SIGNAL(deviceAdded(const QString)), this, SLOT(update()));
    dn->connect(dn, SIGNAL(deviceRemoved(const QString)), this, SLOT(update()));
}


void devtreeView::findChildren(QTreeWidgetItem * root) {
  foreach (const Solid::Device &device, Solid::Device::allDevices()) {
    if(device.parentUdi() == root->text(0)) {
      QStringList sl;
      sl << device.udi() << device.vendor() << device.product();
      findChildren(new QTreeWidgetItem(root, sl));
    }
  }
}

void devtreeView::enumDevices()
{
  ui_devtreeview_base.treeWidget->setColumnCount(3);
  QStringList hsl;
  hsl << "UDI" << "Vendor" << "Name";
  ui_devtreeview_base.treeWidget->setHeaderLabels(hsl); 
  QTreeWidgetItem * root = NULL;
  foreach (const Solid::Device &device, Solid::Device::allDevices())
  {
    QStringList sl;
    if(device.parentUdi() == "") {
      sl << device.udi() << device.vendor() << device.product();
      root = new QTreeWidgetItem(ui_devtreeview_base.treeWidget, sl);
      break;
    }
  } 
  findChildren(root);
}

void devtreeView::update()
{
  ui_devtreeview_base.treeWidget->clear();
  enumDevices();
}

devtreeView::~devtreeView()
{

}

#include "devtreeview.moc"
