/*
 * devtreeview.h
 *
 * Copyright (C) 2007 Andrei Borovsky <>
 */
#ifndef DEVTREEVIEW_H
#define DEVTREEVIEW_H

#include <QtGui/QWidget>

#include "ui_devtreeview_base.h"

class QPainter;
class KUrl;

/**
 * This is the main view class for devtree.  Most of the non-menu,
 * non-toolbar, and non-statusbar (e.g., non frame) GUI code should go
 * here.
 *
 * @short Main view
 * @author Andrei Borovsky <>
 * @version 0.1
 */

class QTreeWidgetItem;

class devtreeView : public QWidget, public Ui::devtreeview_base
{
    Q_OBJECT
public:
    /**
     * Default constructor
     */
    devtreeView(QWidget *parent);

    /**
     * Destructor
     */
    virtual ~devtreeView();

private slots: 
    void update();

private:
    Ui::devtreeview_base ui_devtreeview_base;
    void enumDevices();
    void findChildren(QTreeWidgetItem * root);
signals:
    /**
     * Use this signal to change the content of the statusbar
     */
    void signalChangeStatusbar(const QString& text);

    /**
     * Use this signal to change the content of the caption
     */
    void signalChangeCaption(const QString& text);

};

#endif // devtreeVIEW_H
