#include "devtree.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <KDE/KLocale>

static const char description[] =
    I18N_NOOP("A KDE 4 Application");

static const char version[] = "0.1";

int main(int argc, char **argv)
{
    KAboutData about("devtree", 0, ki18n("devtree"), version, ki18n(description),
                     KAboutData::License_GPL, ki18n("(C) 2007 Andrei Borovsky"), KLocalizedString(), 0, "");
    about.addAuthor( ki18n("Andrei Borovsky"), KLocalizedString(), "" );
    KCmdLineArgs::init(argc, argv, &about);

    KCmdLineOptions options;
    options.add("+[URL]", ki18n( "Document to open" ));
    KCmdLineArgs::addCmdLineOptions(options);
    KApplication app;

    devtree *widget = new devtree;

    // see if we are starting with session management
    if (app.isSessionRestored())
    {
        RESTORE(devtree);
    }
    else
    {
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
        if (args->count() == 0)
        {
            //devtree *widget = new devtree;
            widget->show();
        }
        else
        {
            int i = 0;
            for (; i < args->count(); i++)
            {
                //devtree *widget = new devtree;
                widget->show();
            }
        }
        args->clear();
    }

    return app.exec();
}
